pkgname="orange-calamares-configs"
pkgver=20220615
pkgrel=1
arch=('any')
pkgdesc="Orange OS Calamares setup configs"
depends=('calamares')
install=orange-calamares-configs.install
url="https://gitlab.com/orange-os/applications/orange-calamares-configs"
license=('GPL')
makedepends=('git')
source=("git+$url.git")
md5sums=('SKIP')

pkgver() {
    date +%Y%m%d
}

package() {
    cd "${pkgname}"
    install -d "${pkgdir}"/usr/lib/calamares
    cp -r calamares/modules "${pkgdir}"/usr/lib/calamares
    install -Dm644 calamares/settings.conf "${pkgdir}"/etc/calamares/settings.conf
    install -Dm644 calamares/configs/welcome.conf "${pkgdir}"/etc/calamares/modules/welcome.conf
    install -Dm644 calamares/configs/users.conf "${pkgdir}"/etc/calamares/modules/users.conf
    install -Dm644 calamares/configs/finished.conf "${pkgdir}"/etc/calamares/modules/finished.conf
    install -Dm644 systemd/cleanupoem.service -t "${pkgdir}"/opt/calamares/
    install -Dm644 calamares.desktop -t "${pkgdir}"/etc/skel/.config/autostart/
    install -Dm644 systemd/resize.service -t "${pkgdir}"/usr/lib/systemd/system/
    install -Dm644 orangepios/* -t "${pkgdir}/etc/calamares/branding/orangepios/"
}
